org.keycloak.protocol.saml

## Class SamlProtocolFactory

- java.lang.Object
- - org.keycloak.protocol.AbstractLoginProtocolFactory
  - - org.keycloak.protocol.saml.SamlProtocolFactory

- All Implemented Interfaces:
    LoginProtocolFactory, ProviderFactory<LoginProtocol>

      public class SamlProtocolFactory
      extends AbstractLoginProtocolFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SCOPE_ROLE_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlProtocolFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDefaults(ClientModel client)`
    `LoginProtocol` | `create(KeycloakSession session)`
    `protected void` | `createDefaultClientScopesImpl(RealmModel newRealm)` Impl should create default client scopes.
    `Object` | `createProtocolEndpoint(RealmModel realm, EventBuilder event)`
    `Map<String,ProtocolMapperModel>` | `getBuiltinMappers()` List of built in protocol mappers that can be used to apply to clients.
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `setupClientDefaults(ClientRepresentation clientRep, ClientModel newClient)` Setup default values for new clients.

    - ### Methods inherited from class org.keycloak.protocol.AbstractLoginProtocolFactory

      `addDefaultClientScopes, addDefaultClientScopes, close, createDefaultClientScopes, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### SCOPE_ROLE_LIST

          public static final String SCOPE_ROLE_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SamlProtocolFactory

          public SamlProtocolFactory()

  - ### Method Detail

    - #### createProtocolEndpoint

          public Object createProtocolEndpoint(RealmModel realm,
                                               EventBuilder event)

    - #### create

          public LoginProtocol create(KeycloakSession session)

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<LoginProtocol>`
      Overrides:
        `init` in class `AbstractLoginProtocolFactory`

    - #### getId

          public String getId()

    - #### getBuiltinMappers

          public Map<String,ProtocolMapperModel> getBuiltinMappers()

      Description copied from interface: `LoginProtocolFactory`
      List of built in protocol mappers that can be used to apply to clients.
      Returns:

    - #### createDefaultClientScopesImpl

          protected void createDefaultClientScopesImpl(RealmModel newRealm)

      Description copied from class: `AbstractLoginProtocolFactory`
      Impl should create default client scopes. This is called usually when new realm is created
      Specified by:
        `createDefaultClientScopesImpl` in class `AbstractLoginProtocolFactory`

    - #### addDefaults

          protected void addDefaults(ClientModel client)

      Specified by:
        `addDefaults` in class `AbstractLoginProtocolFactory`

    - #### setupClientDefaults

          public void setupClientDefaults(ClientRepresentation clientRep,
                                          ClientModel newClient)

      Description copied from interface: `LoginProtocolFactory`
      Setup default values for new clients. This expects that the representation has already set up the client

Copyright © 2021 JBoss by Red Hat. All rights reserved.